Package org.apache.commons.collections4.splitmap

# Class AbstractIterableGetMapDecorator<K,V>

java.lang.Object
org.apache.commons.collections4.splitmap.AbstractIterableGetMapDecorator<K,V>

Type Parameters:
  `K` - the type of the keys in this map
  `V` - the type of the values in this map

All Implemented Interfaces:
  `Get<K,V>`, `IterableGet<K,V>`

Direct Known Subclasses:
  `TransformedSplitMap`

public class AbstractIterableGetMapDecorator<K,V> extends Object implements IterableGet<K,V>
`IterableGet` that uses a `Map`<K, V> for the `Get`<K, V> implementation.

Since:
  4.0

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractIterableGetMapDecorator()`
  Constructor only used in deserialization, do not use otherwise.
  ``
  `AbstractIterableGetMapDecorator(Map<K,V> map)`
  Create a new AbstractSplitMapDecorator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsKey(Object key)`
  `boolean`
  `containsValue(Object value)`
  `protected Map<K,V>`
  `decorated()`
  Gets the map being decorated.
  `Set<Map.Entry<K,V>>`
  `entrySet()`
  `boolean`
  `equals(Object object)`
  `V`
  `get(Object key)`
  `int`
  `hashCode()`
  `boolean`
  `isEmpty()`
  `Set<K>`
  `keySet()`
  `MapIterator<K,V>`
  `mapIterator()`
  Gets a MapIterator over this Get.
  `V`
  `remove(Object key)`
  `int`
  `size()`
  `String`
  `toString()`
  `Collection<V>`
  `values()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractIterableGetMapDecorator

    protected AbstractIterableGetMapDecorator()
    Constructor only used in deserialization, do not use otherwise.

  - ### AbstractIterableGetMapDecorator

    public AbstractIterableGetMapDecorator(Map<K,V> map)
    Create a new AbstractSplitMapDecorator.
    Parameters:
      `map` - the map to decorate, must not be null
    Throws:
      `NullPointerException` - if map is null

- ## Method Details

  - ### containsKey

    public boolean containsKey(Object key)
    Specified by:
      `containsKey` in interface `Get<K,V>`
    Parameters:
      `key` - key whose presence in this map is to be tested
    Returns:
      `true` if this map contains a mapping for the specified key
    See Also:
      - `Map.containsKey(Object)`

  - ### containsValue

    public boolean containsValue(Object value)
    Specified by:
      `containsValue` in interface `Get<K,V>`
    Parameters:
      `value` - value whose presence in this map is to be tested
    Returns:
      `true` if this map maps one or more keys to the specified value
    See Also:
      - `Map.containsValue(Object)`

  - ### decorated

    protected Map<K,V> decorated()
    Gets the map being decorated.
    Returns:
      the decorated map

  - ### entrySet

    public Set<Map.Entry<K,V>> entrySet()
    Specified by:
      `entrySet` in interface `Get<K,V>`
    Returns:
      a set view of the mappings contained in this map
    See Also:
      - `Map.entrySet()`

  - ### equals

    public boolean equals(Object object)
    Overrides:
      `equals` in class `Object`

  - ### get

    public V get(Object key)
    Specified by:
      `get` in interface `Get<K,V>`
    Parameters:
      `key` - the key whose associated value is to be returned
    Returns:
      the value to which the specified key is mapped, or `null` if this map contains no mapping for the key
    See Also:
      - `Map.get(Object)`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### isEmpty

    public boolean isEmpty()
    Specified by:
      `isEmpty` in interface `Get<K,V>`
    Returns:
      `true` if this map contains no key-value mappings
    See Also:
      - `Map.isEmpty()`

  - ### keySet

    public Set<K> keySet()
    Specified by:
      `keySet` in interface `Get<K,V>`
    Returns:
      a set view of the keys contained in this map
    See Also:
      - `Map.keySet()`

  - ### mapIterator

    public MapIterator<K,V> mapIterator()
    Gets a MapIterator over this Get.
    Specified by:
      `mapIterator` in interface `IterableGet<K,V>`
    Returns:
      MapIterator<K, V>

  - ### remove

    public V remove(Object key)
    Specified by:
      `remove` in interface `Get<K,V>`
    Parameters:
      `key` - key whose mapping is to be removed from the map
    Returns:
      the previous value associated with `key`, or `null` if there was no mapping for `key`.
    See Also:
      - `Map.remove(Object)`

  - ### size

    public int size()
    Specified by:
      `size` in interface `Get<K,V>`
    Returns:
      the number of key-value mappings in this map
    See Also:
      - `Map.size()`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### values

    public Collection<V> values()
    Specified by:
      `values` in interface `Get<K,V>`
    Returns:
      a collection view of the values contained in this map
    See Also:
      - `Map.values()`